ARK(1)

NAME
ark - KDE arhiveerimistööriist

SYNOPSIS

ark [--extract--extract-to--add--add-to--guess-name] [kataloog] [failid] [arhiiv] [KDE üldised võtmed] [Qt üldised võtmed]

KIRJELDUS

Ark on rakendus paljudes vormingutes arhiivifailide haldamiseks KDE töökeskkonnas. Arhiive saab vaadata, ekstraktida, luua ja muua otse Arkis. Rakendus tuleb toime paljude vormingutega: tar, gzip, bzip2, zip, rar ja lha (nende jaoks peavad siiski olema paigaldatud vastavad käsureaprogrammid). Ark oskab KDE keskkonnas tegutseda tihedas koostöös Konqueroriga, kui paigaldad Konquerori vastava plugina, mis leidub moodulis kdeaddons.

VõTMED

--extract
    Avab ekstraktimisdialoogi ja väljub pärast lõpetamist

--extract-to kataloog arhiiv
    Ekstraktib arhiivi kataloogi. Väljub pärast lõpetamist. Kui kataloog puudub, see luuakse.

--add failid
    Küsib arhiivi nime, kuhu failid lisada. Väljub pärast lõpetamist.

--add-to failid arhiiv
    Lisab failid arhiivi. Väljub pärast lõpetamist. Kui arhiiv puudub, see luuakse.

--guess-name kataloog arhiiv
    Kasutatakse koos võtmega --extract-to. Määramise korral ekstraktitakse arhiiv kataloogi alamkataloogi, mille nimeks saab arhiiv ilma failinime laiendita.

KESKKOND

$PATH
    Käsureaprogrammid, mis käsitlevad arhiive, mida tahad käsitleda Arki abil, peavad asuma sinu otsinguteel ($PATH).

NäITED

ark --extract-to --guess-name . Arhiiv.tar.bz2
    Ekstraktib faili Arhiiv.tar.bz2 aktiivse kataloogi alamkataloogi Arhiiv.

ark --add-to *.jpg pildid.tar.bz2
    Lisab kõik failid, mille lõpus seisab *.jpg, arhiivi pildid.tar.bz2, luues selle faili, kui seda pole veel olemas.

VAATA KA

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

Põhjalikumat kasutaja dokumentatsiooni pakub help:/ark (kirjuta see URL Konquerori või käivita käsuga khelpcenter help:/ark).

AUTORID

Arki hooldaja on Henrique Pinto <stampede@coltec.ufmg.br>.

Käesoleva manuaalilehekülje kirjutas Lauri Watts <lauri@kde.org> KDE 3.4 jaoks.

AUTHOR
Lauri Watts.